<?php

use Battles\GameLogs;
use Battles\Nick;

$us = mysql_fetch_array(mysql_query("SELECT *, (SELECT `id` FROM `online` WHERE login_time >= ".(time()-60)." AND `id` = `users`.`id`) AS `online` FROM `users` WHERE `login` = '".mysql_real_escape_string($_POST['target'])."' LIMIT 1"));
$vip = mysql_fetch_array(mysql_query('SELECT `id`, `klan`, `openbattle` FROM `abils_klan` WHERE `klan` = "'.$user['klan'].'" LIMIT 1'));
$battle = mysql_fetch_array(mysql_query('SELECT `id`, `open`, `close` FROM `battle` WHERE `id` = "'.$user['battle'].'" LIMIT 1'));

if($user['battle'] <= 0) {
  echo 'Это боевая магия ...';
} elseif($battle['open'] == 1) {
  echo 'Бой и так открыт ...';
} elseif($battle['close'] == 1) {
  echo 'Этот бой нельзя открыть ...';
} elseif($vip['openbattle'] <= 0) {
  echo 'Магия исчерпала себя ...';
} else {
  $vip['openbattle'] -= 1;
  if($user['invis'] == 1) { $lod = '<i><b>невидимка</b></i>'; } else { $lod = Nick::id($user['id'])->short(); }
    GameLogs::addBattleLog($battle['id'], '<span class=date>'.date("H:i").'</span> '.$lod.' открыл поединок для внешних вмешательств!<BR>');
  mysql_query('UPDATE `battle` SET `open` = 1 WHERE `id` = "'.$battle['id'].'" LIMIT 1');
  mysql_query('UPDATE `abils_klan` SET `openbattle` = "'.$vip['openbattle'].'" WHERE `klan` = "'.$vip['klan'].'" LIMIT 1');
  echo 'Ваш поединок, открыт...';
}